PT BMS MIGRATION & ENHANCEMENT - Bug #3464

Penambahan Validasi PMS
03/03/2025 11:16 AM - Mr Ikmal

Status: QA Test Start date: 03/03/2025
Priority: Normal Due date:

Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.00 hours
Description

Dear Mas Azid,

Sesuai hasil diskusi dengan Bu Kezia hari Jumat kemarin, berikut adalah task tambahan untuk PMS:
1. Validasi Bobot (Weight) di Grid KPI (PMS Goal -> Task Create)

Total Weight dalam satu KPI Group harus 100%.

Contoh:

Financial Perspective = 100

Customer Perspective = 100

Internal Process = 100

Learning & Growth = 100

Jika total weight melebihi 100 dalam satu grup, tampilkan pop-up/notifikasi.

2. Validasi Bobot di Grid KPI Summary (PMS Goal -> Task Create)
Validasi Total bobot semua Perspective di KPI Summary tidak boleh lebih dari 100.
Jika melebihi 100, tampilkan pop-up/notifikasi.

3. Validasi Appraiser saat Create PMS (PMS Goal -> Task Create)

Nama Appraiser harus terisi di Grid Appraiser.

Semua field Appraiser harus muncul dan terisi.

Jika kosong, tampilkan pop-up/notifikasi.

Biasanya ini terjadi kalau user belum menambahkan Position Type di Organization Management.

4. Validasi field Self Score di Grid KPI (PMS Review & PMS Final -> Task Create)
Self Score wajib diisi.
Jika kosong, tampilkan pop-up/notifikasi.

5. Validasi Combo Box Self Score di Grid Core Values (PMS Review & PMS Final -> Task Create)
Combo Box Self Score harus diisi.

Default-nya kosong, user harus memilih Level (Lvl 1, 2, 3, 4, atau 5).

Jika belum dipilih, tampilkan pop-up/notifikasi.

6. Validasi Field Appraiser 1 di Grid KPl (PMS Review & PMS Final -> Task Approval Ds1)
Field Appraiser 1 wajib diisi.
Jika kosong, tampilkan pop-up/notifikasi dan user tidak bisa submit sampai field diisi.

7. Validasi Combo Box Appraiser 1 di Grid Core Values (PMS Review & PMS Final -> Task Approval Ds1)
Field Appraiser 1 wajib memilih Level (Lvl 1, 2, 3, 4, atau 5).

Default-nya kosong.

Jika belum dipilih, tampilkan pop-up/notifikasi.

8. Validasi Field Appraiser Score di Grid KPl Summary (PMS Review & PMS Final -> Task Approval Ds1)
Field Appraiser Score tidak boleh kosong.
Jika kosong, tampilkan pop-up/notifikasi dan user tidak bisa submit sampai field terisi.

Kalau ada yang masih kurangh jelas, silakan tanyakan ya mas.

Terima kasih.
#1 - 03/04/2025 12:28 PM - Mr Ikmal

Mr Ikmal wrote:
Dear Mas Azid,
Sesuai hasil diskusi dengan Bu Kezia hari Jumat kemarin, berikut adalah task tambahan untuk PMS:
1. Validasi Bobot (Weight) di Grid KPI (PMS Goal -> Task Create)

Total Weight dalam satu KPI Group harus 100%.

Contoh:

Financial Perspective = 100

Customer Perspective = 100

Internal Process = 100

Learning & Growth = 100

Jika total weight melebihi 100 dalam satu grup, tampilkan pop-up/notifikasi.

2. Validasi Bobot di Grid KPI Summary (PMS Goal -> Task Create)
Validasi Total bobot semua Perspective di KPI Summary tidak boleh lebih dari 100.
Jika melebihi 100, tampilkan pop-up/notifikasi.

3. Validasi Appraiser saat Create PMS (PMS Goal -> Task Create)

Nama Appraiser harus terisi di Grid Appraiser.

Semua field Appraiser harus muncul dan terisi.

Jika kosong, tampilkan pop-up/notifikasi.

Biasanya ini terjadi kalau user belum menambahkan Position Type di Organization Management.

4. Validasi field Self Score di Grid KPI (PMS Review & PMS Final -> Task Create)
Self Score wajib diisi.
Jika kosong, tampilkan pop-up/notifikasi.

5. Validasi Combo Box Self Score di Grid Core Values (PMS Review & PMS Final -> Task Create)
Combo Box Self Score harus diisi.

Default-nya kosong, user harus memilih Level (Lvl 1, 2, 3, 4, atau 5).

Jika belum dipilih, tampilkan pop-up/notifikasi.

6. Validasi Field Appraiser 1 di Grid KPI (PMS Review & PMS Final -> Task Approval Ds1)
Field Appraiser 1 wajib diisi.
Jika kosong, tampilkan pop-up/notifikasi dan user tidak bisa submit sampai field diisi.

7. Validasi Combo Box Appraiser 1 di Grid Core Values (PMS Review & PMS Final -> Task Approval Ds1)
Field Appraiser 1 wajib memilih Level (Lvl 1, 2, 3, 4, atau 5).

Default-nya kosong.

Jika belum dipilih, tampilkan pop-up/notifikasi.

8. Validasi Field Appraiser Score di Grid KPl Summary (PMS Review & PMS Final -> Task Approval Ds1)
Field Appraiser Score tidak boleh kosong.
Jika kosong, tampilkan pop-up/notifikasi dan user tidak bisa submit sampai field terisi.

Kalau ada yang masih kurangh jelas, silakan tanyakan ya mas.

Terima kasih.

Notes:

Port: http://remote.minovais.com:31134/
DB:

1442
MinovaisES_BankMegaSyariahDev

#2 - 03/05/2025 10:57 AM - M Azid Wahyudi

dear ikmal , udah bisa di test ya yang validasi goal setting

package :

bizproc(beforesubmit)

messagecatalog(PMSGL001,PMSGL002,PMSGLO003) // kalau mau ubah message
makasih

#3 - 03/05/2025 11:59 AM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar
http://remote.minovais.com:31134/

dear ikmal , udah bisa di test ya

package :

bizproc review dan final (beforesubmit)

messagecatalog (PMSRF001,PMSRF002,PMSRF003,PMSRF004,PMSRF005)
custparam (pms_qual_default)

makasih

#4 - 03/05/2025 02:39 PM - Mr Ikmal

- File Screenshot 2025-03-05 101201.png added

- Status changed from QA Test to Assigned

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

Dear mas azid,

Mohon bantuannya menambahkan validasi maksimal 2 angka di belakang koma untuk semua field angka di Final & Comment (Final Self Score, Final
Appraiser Score, Index Score, Adjusted Score, Index Score Adjusted) untuk PMS Review dan PMS Goal.

Terima kasih.

Notes:

Port: http://remote.minovais.com:31134/
DB:

1442
MinovaisES_BankMegaSyariah_Dev

#5 - 03/05/2025 02:41 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mr Ikmal

#6 - 03/05/2025 02:42 PM - M Azid Wahyudi

bikin redmine baru aja jangan di satuin ini khusus validasi aja , yang formula2 bikin aja atau pake yang lama tapi yang formula

#7 - 03/05/2025 02:42 PM - Mr Ikmal

Okay siap mas

#8 - 03/05/2025 10:03 PM - Mr Ikmal
Berikut untuk catatan testing Approval PMS hari ini,

https://docs.google.com/document/d/1iBYghHoj9mZ_tviccLAodrMgkleOqgVyctkvileX29PM/edit?usp=sharing

Overall sudah jalan validasi Approval pada poin2 redmine diatas, sedikit notes saja pada text yg di highlight merah pada link docs (poin 4 redmine)
untuk disesuaikan text pop up nya.

Terima kasih

#9 - 03/06/2025 09:47 AM - Mr Ikmal

- File Screenshot 2025-03-06 081935.png added

- File Screenshot 2025-03-06 081944.png added

- File Screenshot 2025-03-06 094704.png added

- Status changed from QA Test to Assigned

- Assignee changed from Mr lkmal to M Azid Wahyudi

Dear Mas Azid,

Mohon bantuannya untuk penyesuaian validasi pada poin 6-8 di Approval DS1. Saat ini, validasi masih tetap dijalankan pada status Revise atau
Reject di PMS Review dan PMS Final. Seharusnya, validasi hanya perlu dijalankan ketika statusnya Approve, sedangkan untuk Revise dan Reject,
validasi tidak perlu dijalankan karena task akan dikembalikan ke employee/requester (Revise) atau tidak dilanjut (Reject).

Misalnya Untuk Ketentuan Validasi (Poin 6 diatas):

Jika Approve -> Field Appraiser 1 tidak boleh kosong.
Jika Revise atau Reject -> Field Appraiser 1 boleh kosong karena task dikembalikan ke employee/requester (Revise) atau task tidak dilanjut (Reject).
http://remote.minovais.com:31134/
https://docs.google.com/document/d/1iBYqhHoj9mZ_tvIccLAodrMgkIe0qVycfkv1IeX29PM/edit?usp=sharing

Ketika masuk ke task Revise Creator, field self score juga tidak boleh kosong.
Jadi ketentuannya, Task Start/Create = Revise Creator

Untuk testing, bisa login menggunakan:
EmployeelD: 00010008
Lalu cek inbox-nya ya.

Notes:

Port: http://remote.minovais.com:31134/
DB:

remote.minovais.com,1442
MinovaisES_BankMegaSyariah_Dev

Terima kasih

#10 - 03/06/2025 10:39 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , udah bisa di test ya

package :
bizproc(beforesubmit)

makasih

#11 - 03/06/2025 02:26 PM - Mr Ikmal

Oke mas, sudah di test sesuai ketika revise/reject maka tidak muncul validasi seperti kalau mau approve

Files

Screenshot 2025-03-05 101201.png 47.5 KB 03/05/2025 Mr Ikmal
Screenshot 2025-03-06 081935.png 7.09 KB 03/06/2025 Mr Ikmal
Screenshot 2025-03-06 081944.png 6.91 KB 03/06/2025 Mr Ikmal
Screenshot 2025-03-06 094704.png 30.4 KB 03/06/2025 Mr Ikmal
